Artifacts

Artifacts are the individual files stored in a repository

This tag groups all operations for artifacts.

Retrieve all Artifacts by Registry

get

This endpoint enables retrieving all Artifacts using pagination and optional filters.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.vulnerabilityIdstringOptional

Filter resources by vulnerabilityId.

orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -pullCountPossible values:
Responses
chevron-right
200

Returned all requested Artifacts successfully.

application/json
idstring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/artifacts
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/registries/{registryId}/artifacts

Retrieve all Artifacts by Repository

get

This endpoint enables retrieving all Artifacts using pagination and optional filters.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
repositoryNamestring · max: 256Required

The Name of the Repository.

Example: my-service
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -lastPushPossible values:
Responses
chevron-right
200

Returned all requested Artifacts successfully.

application/json
idstring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/registries/{registryId}/repositories/{repositoryName}/artifacts

Retrieve Artifact

get

Returns the Artifact by Digest.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
repositoryNamestring · max: 256Required

The Name of the Repository.

Example: my-service
digeststring · max: 128Required

The Digest of the Artifact.

Example: sha256:12345678901234567890123456789012
Responses
chevron-right
200

Getting Artifact was successful.

application/json
idstringRequired

The digest of the artifact

Example: sha256:12345678901234567890123456789012
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012
get
/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}

Retrieve all Vulnerabilities

get

This endpoint enables retrieving all Vulnerabilities using pagination and optional filters.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
repositoryNamestring · max: 256Required

The Name of the Repository.

Example: my-service
digeststring · max: 128Required

The Digest of the Artifact.

Example: sha256:12345678901234567890123456789012
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.severitystringOptional

The CVSS vulnerability severity rating

Example: high
filter.fixablebooleanOptional

Filter resources by fixable (i.e. remediation action is available)

orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -scorePossible values:
Responses
chevron-right
200

Returned all requested Vulnerabilities successfully.

application/json
idstring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012/vulnerabilities
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}/vulnerabilities

Last updated

Was this helpful?